import React from "react";
import Table from "../../../component/Table.jsx";
import DetailSearch from "../../../component/DetailSearch.jsx";
import ContentTitle from "../../../component/ContentTitle.jsx";
import SubTitle from "../../../component/SubTitle.jsx";
import { useNavigate } from 'react-router';

export default function TemperatureManagementSelect_government() {
  const navigate = useNavigate();
    //게시판
    const thead = ["No", "이름","대상자등록번호", "생년월일", "연락처", "주소", "최근 최저 온도","최근 최고 온도",];
    const key = ["No", "name", "number","birth", "phone", "address", "low", "high"];
    const content = [
      {
        No: 1,
        name: "김복남",
        number: "00000001",
        birth: "1948.11.15",
        phone: "010-1234-5678",
        address: "경상북도 군위군 삼국유사면",
        agency: "A복지관",
        protect: "홍길동",
        high: "18°C",
        low: "18°C",
      },
    ];
  return (
    <main>
      <div className="content-wrap">
      <ContentTitle contentTitle={"댁내 온도 조회"} />
          <DetailSearch />
          <div className="board-wrap">  
          <SubTitle className="margin-bottom" explanation={"대상자 클릭 시 최근 일주일 댁내 온도를 확인할 수 있습니다."}/>
          <Table
          className={"temperature-table"}
            head={thead}
            contents={content}
            contentKey={key}
            onClick={()=>{navigate('/TemperatureManagementSelectOne')}}
          />
        </div>
      </div>
    </main>
  );
}
